%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-clientform
Version:        0.1.17
Release:        3%{?dist}
Summary:        Python module for client-side HTML forms

Group:          Development/Languages
License:        BSD
URL:            http://wwwsearch.sourceforge.net/ClientForm/
Source0:        http://wwwsearch.sourceforge.net/ClientForm/src/ClientForm-0.1.17.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python

%description
ClientForm is a Python module for handling HTML forms on the client side,
useful for parsing HTML forms, filling them in and returning the completed
forms to the server.  It developed from a port of Gisle Aas' Perl module
HTML::Form, from the libwww-perl library, but the interface is not the same.

%prep
%setup -q -n ClientForm-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README.txt
%{python_sitelib}/ClientForm.py
%{python_sitelib}/ClientForm.pyc
%ghost %{python_sitelib}/ClientForm.pyo

%changelog
* Sun Oct 30 2005 Josh Boyer <jwboyer@jdub.homelinux.org> 0.1.17-3
- Fix up review comments

* Thu Oct 6 2005 Josh Boyer <jwboyer@jdub.homelinux.org> 0.1.17-2
- Rename package to add python- prefix

* Wed Oct 5 2005 Josh Boyer <jwboyer@jdub.homelinux.org> 0.1.17-1
- Initial spec file
